Norm_L1
Image Norms

Primitives for computing the L1 norm of an image. More...

## Basic Norm_L1

NppStatus | nppiNorm_L1_8u_C1R (const Npp8u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp64f *pNorm, Npp8u *pDeviceBuffer)
| One-channel 8-bit unsigned image Norm_L1. More...
NppStatus | nppiNorm_L1_16u_C1R (const Npp16u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp64f *pNorm, Npp8u *pDeviceBuffer)
| One-channel 16-bit unsigned image Norm_L1. More...
NppStatus | nppiNorm_L1_16s_C1R (const Npp16s *pSrc, int nSrcStep, NppiSize oSizeROI, Npp64f *pNorm, Npp8u *pDeviceBuffer)
| One-channel 16-bit signed image Norm_L1. More...
NppStatus | nppiNorm_L1_32f_C1R (const Npp32f *pSrc, int nSrcStep, NppiSize oSizeROI, Npp64f *pNorm, Npp8u *pDeviceBuffer)
| One-channel 32-bit floating point image Norm_L1. More...
NppStatus | nppiNorm_L1_8u_C3R (const Npp8u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp64f aNorm[3], Npp8u *pDeviceBuffer)
| Three-channel 8-bit unsigned image Norm_L1. More...
NppStatus | nppiNorm_L1_16u_C3R (const Npp16u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp64f aNorm[3], Npp8u *pDeviceBuffer)
| Three-channel 16-bit unsigned image Norm_L1. More...
NppStatus | nppiNorm_L1_16s_C3R (const Npp16s *pSrc, int nSrcStep, NppiSize oSizeROI, Npp64f aNorm[3], Npp8u *pDeviceBuffer)
| Three-channel 16-bit signed image Norm_L1. More...
NppStatus | nppiNorm_L1_32f_C3R (const Npp32f *pSrc, int nSrcStep, NppiSize oSizeROI, Npp64f aNorm[3], Npp8u *pDeviceBuffer)
| Three-channel 32-bit floating point image Norm_L1. More...
NppStatus | nppiNorm_L1_8u_AC4R (const Npp8u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp64f aNorm[3], Npp8u *pDeviceBuffer)
| Four-channel 8-bit unsigned image Norm_L1 ignoring alpha channel. More...
NppStatus | nppiNorm_L1_16u_AC4R (const Npp16u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp64f aNorm[3], Npp8u *pDeviceBuffer)
| Four-channel 16-bit unsigned image Norm_L1 ignoring alpha channel. More...
NppStatus | nppiNorm_L1_16s_AC4R (const Npp16s *pSrc, int nSrcStep, NppiSize oSizeROI, Npp64f aNorm[3], Npp8u *pDeviceBuffer)
| Four-channel 16-bit signed image Norm_L1 ignoring alpha channel. More...
NppStatus | nppiNorm_L1_32f_AC4R (const Npp32f *pSrc, int nSrcStep, NppiSize oSizeROI, Npp64f aNorm[3], Npp8u *pDeviceBuffer)
| Four-channel 32-bit floating point image Norm_L1 ignoring alpha channel. More...
NppStatus | nppiNorm_L1_8u_C4R (const Npp8u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp64f aNorm[4], Npp8u *pDeviceBuffer)
| Four-channel 8-bit unsigned image Norm_L1. More...
NppStatus | nppiNorm_L1_16u_C4R (const Npp16u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp64f aNorm[4], Npp8u *pDeviceBuffer)
| Four-channel 16-bit unsigned image Norm_L1. More...
NppStatus | nppiNorm_L1_16s_C4R (const Npp16s *pSrc, int nSrcStep, NppiSize oSizeROI, Npp64f aNorm[4], Npp8u *pDeviceBuffer)
| Four-channel 16-bit signed image Norm_L1. More...
NppStatus | nppiNorm_L1_32f_C4R (const Npp32f *pSrc, int nSrcStep, NppiSize oSizeROI, Npp64f aNorm[4], Npp8u *pDeviceBuffer)
| Four-channel 32-bit floating point image Norm_L1. More...
NppStatus | nppiNorm_L1_8u_C1MR (const Npp8u *pSrc, int nSrcStep, const Npp8u *pMask, int nMaskStep, NppiSize oSizeROI, Npp64f *pNorm, Npp8u *pDeviceBuffer)
| Masked one-channel 8-bit unsigned image Norm_L1. More...
NppStatus | nppiNorm_L1_8s_C1MR (const Npp8s *pSrc, int nSrcStep, const Npp8u *pMask, int nMaskStep, NppiSize oSizeROI, Npp64f *pNorm, Npp8u *pDeviceBuffer)
| Masked one-channel 8-bit signed image Norm_L1. More...
NppStatus | nppiNorm_L1_16u_C1MR (const Npp16u *pSrc, int nSrcStep, const Npp8u *pMask, int nMaskStep, NppiSize oSizeROI, Npp64f *pNorm, Npp8u *pDeviceBuffer)
| Masked one-channel 16-bit unsigned image Norm_L1. More...
NppStatus | nppiNorm_L1_32f_C1MR (const Npp32f *pSrc, int nSrcStep, const Npp8u *pMask, int nMaskStep, NppiSize oSizeROI, Npp64f *pNorm, Npp8u *pDeviceBuffer)
| Masked one-channel 32-bit floating point image Norm_L1. More...
NppStatus | nppiNorm_L1_8u_C3CMR (const Npp8u *pSrc, int nSrcStep, const Npp8u *pMask, int nMaskStep, NppiSize oSizeROI, int nCOI, Npp64f *pNorm, Npp8u *pDeviceBuffer)
| Masked three-channel 8-bit unsigned image Norm_L1 affecting only single channel. More...
NppStatus | nppiNorm_L1_8s_C3CMR (const Npp8s *pSrc, int nSrcStep, const Npp8u *pMask, int nMaskStep, NppiSize oSizeROI, int nCOI, Npp64f *pNorm, Npp8u *pDeviceBuffer)
| Masked three-channel 8-bit signed image Norm_L1 affecting only single channel. More...
NppStatus | nppiNorm_L1_16u_C3CMR (const Npp16u *pSrc, int nSrcStep, const Npp8u *pMask, int nMaskStep, NppiSize oSizeROI, int nCOI, Npp64f *pNorm, Npp8u *pDeviceBuffer)
| Masked three-channel 16-bit unsigned image Norm_L1 affecting only single channel. More...
NppStatus | nppiNorm_L1_32f_C3CMR (const Npp32f *pSrc, int nSrcStep, const Npp8u *pMask, int nMaskStep, NppiSize oSizeROI, int nCOI, Npp64f *pNorm, Npp8u *pDeviceBuffer)
| Masked three-channel 32-bit floating point image Norm_L1 affecting only single channel. More...

## NormL1GetBufferHostSize

Companion primitives for computing the device buffer size (in bytes) required by the Norm_L1 primitives.
NppStatus | nppiNormL1GetBufferHostSize_8u_C1R (NppiSize oSizeROI, int *hpBufferSize)
| Buffer size for nppiNorm_L1_8u_C1R. More...
NppStatus | nppiNormL1GetBufferHostSize_16u_C1R (NppiSize oSizeROI, int *hpBufferSize)
| Buffer size for nppiNorm_L1_16u_C1R. More...
NppStatus | nppiNormL1GetBufferHostSize_16s_C1R (NppiSize oSizeROI, int *hpBufferSize)
| Buffer size for nppiNorm_L1_16s_C1R. More...
NppStatus | nppiNormL1GetBufferHostSize_32f_C1R (NppiSize oSizeROI, int *hpBufferSize)
| Buffer size for nppiNorm_L1_32f_C1R. More...
NppStatus | nppiNormL1GetBufferHostSize_8u_C1MR (NppiSize oSizeROI, int *hpBufferSize)
| Buffer size for nppiNorm_L1_8u_C1MR. More...
NppStatus | nppiNormL1GetBufferHostSize_8s_C1MR (NppiSize oSizeROI, int *hpBufferSize)
| Buffer size for nppiNorm_L1_8s_C1MR. More...
NppStatus | nppiNormL1GetBufferHostSize_16u_C1MR (NppiSize oSizeROI, int *hpBufferSize)
| Buffer size for nppiNorm_L1_16u_C1MR. More...
NppStatus | nppiNormL1GetBufferHostSize_32f_C1MR (NppiSize oSizeROI, int *hpBufferSize)
| Buffer size for nppiNorm_L1_32f_C1MR. More...
NppStatus | nppiNormL1GetBufferHostSize_8u_C3R (NppiSize oSizeROI, int *hpBufferSize)
| Buffer size for nppiNorm_L1_8u_C3R. More...
NppStatus | nppiNormL1GetBufferHostSize_16u_C3R (NppiSize oSizeROI, int *hpBufferSize)
| Buffer size for nppiNorm_L1_16u_C3R. More...
NppStatus | nppiNormL1GetBufferHostSize_16s_C3R (NppiSize oSizeROI, int *hpBufferSize)
| Buffer size for nppiNorm_L1_16s_C3R. More...
NppStatus | nppiNormL1GetBufferHostSize_32f_C3R (NppiSize oSizeROI, int *hpBufferSize)
| Buffer size for nppiNorm_L1_32f_C3R. More...
NppStatus | nppiNormL1GetBufferHostSize_8u_AC4R (NppiSize oSizeROI, int *hpBufferSize)
| Buffer size for nppiNorm_L1_8u_AC4R. More...
NppStatus | nppiNormL1GetBufferHostSize_16u_AC4R (NppiSize oSizeROI, int *hpBufferSize)
| Buffer size for nppiNorm_L1_16u_AC4R. More...
NppStatus | nppiNormL1GetBufferHostSize_16s_AC4R (NppiSize oSizeROI, int *hpBufferSize)
| Buffer size for nppiNorm_L1_16s_AC4R. More...
NppStatus | nppiNormL1GetBufferHostSize_32f_AC4R (NppiSize oSizeROI, int *hpBufferSize)
| Buffer size for nppiNorm_L1_32f_AC4R. More...
NppStatus | nppiNormL1GetBufferHostSize_8u_C4R (NppiSize oSizeROI, int *hpBufferSize)
| Buffer size for nppiNorm_L1_8u_C4R. More...
NppStatus | nppiNormL1GetBufferHostSize_16u_C4R (NppiSize oSizeROI, int *hpBufferSize)
| Buffer size for nppiNorm_L1_16u_C4R. More...
NppStatus | nppiNormL1GetBufferHostSize_16s_C4R (NppiSize oSizeROI, int *hpBufferSize)
| Buffer size for nppiNorm_L1_16s_C4R. More...
NppStatus | nppiNormL1GetBufferHostSize_32f_C4R (NppiSize oSizeROI, int *hpBufferSize)
| Buffer size for nppiNorm_L1_32f_C4R. More...
NppStatus | nppiNormL1GetBufferHostSize_8u_C3CMR (NppiSize oSizeROI, int *hpBufferSize)
| Buffer size for nppiNorm_L1_8u_C3CMR. More...
NppStatus | nppiNormL1GetBufferHostSize_8s_C3CMR (NppiSize oSizeROI, int *hpBufferSize)
| Buffer size for nppiNorm_L1_8s_C3CMR. More...
NppStatus | nppiNormL1GetBufferHostSize_16u_C3CMR (NppiSize oSizeROI, int *hpBufferSize)
| Buffer size for nppiNorm_L1_16u_C3CMR. More...
NppStatus | nppiNormL1GetBufferHostSize_32f_C3CMR (NppiSize oSizeROI, int *hpBufferSize)
| Buffer size for nppiNorm_L1_32f_C3CMR. More...

## Detailed Description

Primitives for computing the L1 norm of an image.

## Function Documentation

NppStatus nppiNorm_L1_16s_AC4R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp64f | aNorm[3],
|  | Npp8u * | pDeviceBuffer
| ) |  |

Four-channel 16-bit signed image Norm_L1 ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiNormL1 functions.

NppStatus nppiNorm_L1_16s_C1R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp64f * | pNorm,
|  | Npp8u * | pDeviceBuffer
| ) |  |

One-channel 16-bit signed image Norm_L1.

For common parameter descriptions, see Common parameters for nppiNormL1 functions.

NppStatus nppiNorm_L1_16s_C3R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp64f | aNorm[3],
|  | Npp8u * | pDeviceBuffer
| ) |  |

Three-channel 16-bit signed image Norm_L1.

For common parameter descriptions, see Common parameters for nppiNormL1 functions.

NppStatus nppiNorm_L1_16s_C4R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp64f | aNorm[4],
|  | Npp8u * | pDeviceBuffer
| ) |  |

Four-channel 16-bit signed image Norm_L1.

For common parameter descriptions, see Common parameters for nppiNormL1 functions.

NppStatus nppiNorm_L1_16u_AC4R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp64f | aNorm[3],
|  | Npp8u * | pDeviceBuffer
| ) |  |

Four-channel 16-bit unsigned image Norm_L1 ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiNormL1 functions.

NppStatus nppiNorm_L1_16u_C1MR | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | const Npp8u * | pMask,
|  | int | nMaskStep,
|  | NppiSize | oSizeROI,
|  | Npp64f * | pNorm,
|  | Npp8u * | pDeviceBuffer
| ) |  |

Masked one-channel 16-bit unsigned image Norm_L1.

For common parameter descriptions, see Common parameters for nppiNormL1 functions.

NppStatus nppiNorm_L1_16u_C1R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp64f * | pNorm,
|  | Npp8u * | pDeviceBuffer
| ) |  |

One-channel 16-bit unsigned image Norm_L1.

For common parameter descriptions, see Common parameters for nppiNormL1 functions.

NppStatus nppiNorm_L1_16u_C3CMR | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | const Npp8u * | pMask,
|  | int | nMaskStep,
|  | NppiSize | oSizeROI,
|  | int | nCOI,
|  | Npp64f * | pNorm,
|  | Npp8u * | pDeviceBuffer
| ) |  |

Masked three-channel 16-bit unsigned image Norm_L1 affecting only single channel.

For common parameter descriptions, see Common parameters for nppiNormL1 functions.

NppStatus nppiNorm_L1_16u_C3R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp64f | aNorm[3],
|  | Npp8u * | pDeviceBuffer
| ) |  |

Three-channel 16-bit unsigned image Norm_L1.

For common parameter descriptions, see Common parameters for nppiNormL1 functions.

NppStatus nppiNorm_L1_16u_C4R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp64f | aNorm[4],
|  | Npp8u * | pDeviceBuffer
| ) |  |

Four-channel 16-bit unsigned image Norm_L1.

For common parameter descriptions, see Common parameters for nppiNormL1 functions.

NppStatus nppiNorm_L1_32f_AC4R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp64f | aNorm[3],
|  | Npp8u * | pDeviceBuffer
| ) |  |

Four-channel 32-bit floating point image Norm_L1 ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiNormL1 functions.

NppStatus nppiNorm_L1_32f_C1MR | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | const Npp8u * | pMask,
|  | int | nMaskStep,
|  | NppiSize | oSizeROI,
|  | Npp64f * | pNorm,
|  | Npp8u * | pDeviceBuffer
| ) |  |

Masked one-channel 32-bit floating point image Norm_L1.

For common parameter descriptions, see Common parameters for nppiNormL1 functions.

NppStatus nppiNorm_L1_32f_C1R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp64f * | pNorm,
|  | Npp8u * | pDeviceBuffer
| ) |  |

One-channel 32-bit floating point image Norm_L1.

For common parameter descriptions, see Common parameters for nppiNormL1 functions.

NppStatus nppiNorm_L1_32f_C3CMR | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | const Npp8u * | pMask,
|  | int | nMaskStep,
|  | NppiSize | oSizeROI,
|  | int | nCOI,
|  | Npp64f * | pNorm,
|  | Npp8u * | pDeviceBuffer
| ) |  |

Masked three-channel 32-bit floating point image Norm_L1 affecting only single channel.

For common parameter descriptions, see Common parameters for nppiNormL1 functions.

NppStatus nppiNorm_L1_32f_C3R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp64f | aNorm[3],
|  | Npp8u * | pDeviceBuffer
| ) |  |

Three-channel 32-bit floating point image Norm_L1.

For common parameter descriptions, see Common parameters for nppiNormL1 functions.

NppStatus nppiNorm_L1_32f_C4R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp64f | aNorm[4],
|  | Npp8u * | pDeviceBuffer
| ) |  |

Four-channel 32-bit floating point image Norm_L1.

For common parameter descriptions, see Common parameters for nppiNormL1 functions.

NppStatus nppiNorm_L1_8s_C1MR | ( | const Npp8s * | pSrc,
|  | int | nSrcStep,
|  | const Npp8u * | pMask,
|  | int | nMaskStep,
|  | NppiSize | oSizeROI,
|  | Npp64f * | pNorm,
|  | Npp8u * | pDeviceBuffer
| ) |  |

Masked one-channel 8-bit signed image Norm_L1.

For common parameter descriptions, see Common parameters for nppiNormL1 functions.

NppStatus nppiNorm_L1_8s_C3CMR | ( | const Npp8s * | pSrc,
|  | int | nSrcStep,
|  | const Npp8u * | pMask,
|  | int | nMaskStep,
|  | NppiSize | oSizeROI,
|  | int | nCOI,
|  | Npp64f * | pNorm,
|  | Npp8u * | pDeviceBuffer
| ) |  |

Masked three-channel 8-bit signed image Norm_L1 affecting only single channel.

For common parameter descriptions, see Common parameters for nppiNormL1 functions.

NppStatus nppiNorm_L1_8u_AC4R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp64f | aNorm[3],
|  | Npp8u * | pDeviceBuffer
| ) |  |

Four-channel 8-bit unsigned image Norm_L1 ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiNormL1 functions.

NppStatus nppiNorm_L1_8u_C1MR | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | const Npp8u * | pMask,
|  | int | nMaskStep,
|  | NppiSize | oSizeROI,
|  | Npp64f * | pNorm,
|  | Npp8u * | pDeviceBuffer
| ) |  |

Masked one-channel 8-bit unsigned image Norm_L1.

For common parameter descriptions, see Common parameters for nppiNormL1 functions.

NppStatus nppiNorm_L1_8u_C1R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp64f * | pNorm,
|  | Npp8u * | pDeviceBuffer
| ) |  |

One-channel 8-bit unsigned image Norm_L1.

For common parameter descriptions, see Common parameters for nppiNormL1 functions.

NppStatus nppiNorm_L1_8u_C3CMR | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | const Npp8u * | pMask,
|  | int | nMaskStep,
|  | NppiSize | oSizeROI,
|  | int | nCOI,
|  | Npp64f * | pNorm,
|  | Npp8u * | pDeviceBuffer
| ) |  |

Masked three-channel 8-bit unsigned image Norm_L1 affecting only single channel.

For common parameter descriptions, see Common parameters for nppiNormL1 functions.

NppStatus nppiNorm_L1_8u_C3R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp64f | aNorm[3],
|  | Npp8u * | pDeviceBuffer
| ) |  |

Three-channel 8-bit unsigned image Norm_L1.

For common parameter descriptions, see Common parameters for nppiNormL1 functions.

NppStatus nppiNorm_L1_8u_C4R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp64f | aNorm[4],
|  | Npp8u * | pDeviceBuffer
| ) |  |

Four-channel 8-bit unsigned image Norm_L1.

For common parameter descriptions, see Common parameters for nppiNormL1 functions.

NppStatus nppiNormL1GetBufferHostSize_16s_AC4R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

Buffer size for nppiNorm_L1_16s_AC4R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiNormL1GetBufferHostSize_16s_C1R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

Buffer size for nppiNorm_L1_16s_C1R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiNormL1GetBufferHostSize_16s_C3R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

Buffer size for nppiNorm_L1_16s_C3R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiNormL1GetBufferHostSize_16s_C4R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

Buffer size for nppiNorm_L1_16s_C4R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiNormL1GetBufferHostSize_16u_AC4R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

Buffer size for nppiNorm_L1_16u_AC4R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiNormL1GetBufferHostSize_16u_C1MR | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

Buffer size for nppiNorm_L1_16u_C1MR.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiNormL1GetBufferHostSize_16u_C1R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

Buffer size for nppiNorm_L1_16u_C1R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiNormL1GetBufferHostSize_16u_C3CMR | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

Buffer size for nppiNorm_L1_16u_C3CMR.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiNormL1GetBufferHostSize_16u_C3R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

Buffer size for nppiNorm_L1_16u_C3R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiNormL1GetBufferHostSize_16u_C4R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

Buffer size for nppiNorm_L1_16u_C4R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiNormL1GetBufferHostSize_32f_AC4R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

Buffer size for nppiNorm_L1_32f_AC4R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiNormL1GetBufferHostSize_32f_C1MR | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

Buffer size for nppiNorm_L1_32f_C1MR.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiNormL1GetBufferHostSize_32f_C1R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

Buffer size for nppiNorm_L1_32f_C1R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiNormL1GetBufferHostSize_32f_C3CMR | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

Buffer size for nppiNorm_L1_32f_C3CMR.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiNormL1GetBufferHostSize_32f_C3R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

Buffer size for nppiNorm_L1_32f_C3R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiNormL1GetBufferHostSize_32f_C4R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

Buffer size for nppiNorm_L1_32f_C4R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiNormL1GetBufferHostSize_8s_C1MR | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

Buffer size for nppiNorm_L1_8s_C1MR.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiNormL1GetBufferHostSize_8s_C3CMR | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

Buffer size for nppiNorm_L1_8s_C3CMR.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiNormL1GetBufferHostSize_8u_AC4R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

Buffer size for nppiNorm_L1_8u_AC4R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiNormL1GetBufferHostSize_8u_C1MR | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

Buffer size for nppiNorm_L1_8u_C1MR.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiNormL1GetBufferHostSize_8u_C1R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

Buffer size for nppiNorm_L1_8u_C1R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiNormL1GetBufferHostSize_8u_C3CMR | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

Buffer size for nppiNorm_L1_8u_C3CMR.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiNormL1GetBufferHostSize_8u_C3R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

Buffer size for nppiNorm_L1_8u_C3R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiNormL1GetBufferHostSize_8u_C4R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

Buffer size for nppiNorm_L1_8u_C4R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

Copyright © 2009-2017 NVIDIA Corporation